<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

        <xsl:output method="xml"/>

        <xsl:template match="/">
          <xsl:element name="article">

                  <xsl:element name="articleinfo">
                    <xsl:element name="title">List of Contacts</xsl:element>
                  </xsl:element>

                  <xsl:element name="sect1">
                    <xsl:element name="title">People</xsl:element>

                    <xsl:apply-templates select='/a/contact_list/contact[@type="person"]'>
                      <xsl:sort select="contact/@id" order="descending" data-type="number"/>
                    </xsl:apply-templates>

                  </xsl:element>

                  <xsl:element name="sect2">
                    <xsl:element name="title">Projects</xsl:element>

                    <xsl:apply-templates select='/a/contact_list/contact[@type="project"]'>
                      <xsl:sort select="contact/@id" order="descending" data-type="number"/>
                    </xsl:apply-templates>

                  </xsl:element>

                </xsl:element>

        </xsl:template>

        <xsl:template match='/a/contact_list/contact[@type="person"]'>
          <xsl:element name="para">
            <xsl:element name="personname">
	      <xsl:element name="firstname">
	        <xsl:value-of select="personname/firstname"/>
	      </xsl:element>
	      
	      <xsl:element name="othername">
	        <xsl:value-of select="personname/othername"/>
	      </xsl:element>
	      
	      <xsl:element name="surname">
	        <xsl:value-of select="personname/surname"/>
	      </xsl:element>
	    </xsl:element>
          </xsl:element>

          <xsl:element name="para">
            <xsl:element name="email">
	      <xsl:value-of select="email"/>
            </xsl:element>
	  </xsl:element>
	  
	  <xsl:element name="para">
            <xsl:element name="address">
	      <xsl:element name="country">
	        <xsl:value-of select="country"/>
	      </xsl:element>
            </xsl:element>
	  </xsl:element>

        </xsl:template>

        <xsl:template match='/a/contact_list/contact[@type="project"]'>
          <xsl:element name="para">
            <xsl:element name="orgname">
	      <xsl:value-of select="orgname"/>
	    </xsl:element>
	  </xsl:element>

          <xsl:element name="para">
            URN: <xsl:element name="ulink">
	    	 <xsl:attribute name="url"><xsl:value-of select="urn"/></xsl:attribute>
		 <xsl:value-of select="urn"/></xsl:element>
	  </xsl:element>
	  
        </xsl:template>

</xsl:stylesheet>


<!--

<contact type="person" id="1">
  <name>M\xe1rio S\xe9gio Fujikawa Ferreira</name>

  <email order="1">lioux@FreeBSD.org</email>

  <country>Brazil</country>
</contact>

<contact type="person" id="2">
  <name>Several authors</name>
  <urn order="1">http://sourceforge.net/projects/azureus/</urn>
</contact>

<contact type="project" id="1">
  <name>Azureus</name>
  <urn order="1">http://sourceforge.net/projects/azureus/</urn>
</contact>


<!DOCTYPE ARTICLE PUBLIC "-//FreeBSD//DTD DocBook V4.1-Based Extension//EN">
<article>
  <articleinfo>
    <title>A User's Guide to FreeBSD Programming Tools</title>
  </articleinfo>

  <sect1>
    <title>This document has moved!</title>

    <para>This document has been integrated into the <ulink
      url="../../books/developers-handbook/index.html">Developer's
      Handbook</ulink>.  Please update your bookmarks.</para>
  </sect1>
</article>

-->

<!--

<lauri> <article>
<lauri> <articleinfo>
<lauri> <title>List of Contacts</title>
<lauri> <sect1><title>People</title></sect1>
<lauri> <para><personname><firstname>M&#xE1;rio</firstname><othername>S&#xE9;gio Fujikawa</othername><surname>Ferreira</surname></personname></para>
<lauri> <para><email>lioux@freebsd.org</email></para>
<lauri> blah blah
<lauri> you could put those in tables, instead of para's
<lauri> <para>URN:<ulink url="http://url-here">url here</ulink></para>

-->
